/*
 * task_display.h
 *
 *  Created on: Mar 14, 2025
 *      Author: gca76
 */

#ifndef INC_TASK_DISPLAY_H_
#define INC_TASK_DISPLAY_H_

#include <stdint.h>

#define DISPLAY_TASK_FREQUENCY_HZ 4
#define DISPLAY_TASK_PERIOD_TICKS (TICK_FREQUENCY_HZ/DISPLAY_TASK_FREQUENCY_HZ)

void display_task_execute(void);
void setSerialDebugging(uint8_t toggleSerialDebugging);
int __io_putchar(int ch);

#endif /* INC_TASK_DISPLAY_H_ */
